Subject: bug#23001: closed (Re: bug#23001: emacs in X has icons missing and throws warnings in tty)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Apr 2018 07:38:02 +0000

Your bug report

#23001: emacs in X has icons missing and throws warnings in tty

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23001: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23001
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23001: emacs in X has icons missing and throws warnings in tty
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Cc: [email-masked]
Date: Fri, 06 Apr 2018 09:37:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi George,

[email-masked] skribis:

> In guix (GNU Guix) 0.14.0.4032-cfb55 the attached config no longer
> produces these errors, so I think this should be closed.

Thanks for the update, closing!

Ludo’.

Subject: emacs in X has icons missing and throws warnings in tty
From: myglc2 <[email-masked]>
To: [email-masked]
Date: Sat, 12 Mar 2016 19:43:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

When running GuixSD on a headless server  ...

ssh
emacs

... produces emacs running in X but ...

- all of the menu icons are missing except one ('file drawers')

- lots of messages are shooting in the tty session (sample below).

This actually doesn't bother me because, hey, who uses the stinking
icons? But it is messy and <JeanLouis> on #guix reported the same thing:

VVVVVVVVVVVVVVVVVVVVVV
<JeanLouis> I was expecting if I do -i emacs -- to get binary emacs, not the
	    ony that was compiled without gdk-pixbuf incorrectly
<mark_weaver> JeanLouis: what do you mean by "that was compiled without
	      gdk-pixbuf incorrectly" ?
<JeanLouis> https://rcdrun.com/images/upload/tmp/2016-03-12-23:41:52.jpg
<JeanLouis> that is what I mean
<JeanLouis> (emacs-24-5:28561): Gdk-CRITICAL **:
	    gdk_cairo_surface_create_from_pixbuf: assertion 'GDK_IS_PIXBUF
	    (pixbuf)' failed					        [18:06]
<JeanLouis> I get many such when running it.
<JeanLouis> buttons missing
^^^^^^^^^^^^^^^^^^^^^^

Here is my setup:

M-x version:
GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.18.2) of
2016-02-27 on localhost

Guix commit:
* master 81a9653 gnu: webkitgtk: Update to 2.10.8 [fixes CVE-2016-1726].

Example of the messages in the tty session:
VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV
** (emacs-24-5:18164): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-JHb3wYZmX7: Connection refused

(emacs-24-5:18164): Gtk-WARNING **: Could not find the icon 'document-new'. The 'hicolor' theme
was not found either, perhaps you need to install it.
You can get a copy from:
	http://icon-theme.freedesktop.org/releases

(emacs-24-5:18164): Gtk-WARNING **: Error loading theme icon 'document-new' for stock: Icon 'document-new' not present in theme Adwaita

(emacs-24-5:18164): Gtk-WARNING **: Error loading theme icon 'image-missing' for stock: Icon 'image-missing' not present in theme Adwaita

(emacs-24-5:18164): GLib-GObject-CRITICAL **: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

(emacs-24-5:18164): Gdk-CRITICAL **: gdk_cairo_surface_create_from_pixbuf: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(emacs-24-5:18164): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(emacs-24-5:18164): Gtk-WARNING **: Error loading theme icon 'document-new' for stock: Icon 'document-new' not present in theme Adwaita

(emacs-24-5:18164): Gtk-WARNING **: Error loading theme icon 'image-missing' for stock: Icon 'image-missing' not present in theme Adwaita
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^